<div class="login-box">
  <div class="login-logo">
    {{config.detail.companyShortName ? config.detail.companyShortName : config.detail.company}}
  </div>
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Você está a apenas um passo de sua nova senha, recupere sua senha agora.</p>

      <form [formGroup]="recoverPasswordForm" (submit)="recoverPassword()" >
        <div class="form-group">

          <div class="input-group mb-3">
            <input class="form-control" placeholder="Chave de segurança" formControlName="code">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-key"></span>
              </div>
            </div>
          </div>
          <span [MessageErrorsFormControl]="recoverPasswordForm.controls.code"  > </span>
        </div>
        <div class="form-group">
          <div class="input-group mb-3">
            <input type="password" class="form-control" placeholder="Senha" formControlName="password">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-lock"></span>
              </div>
            </div>
          </div>
          <span [MessageErrorsFormControl]="recoverPasswordForm.controls.password"  > </span>
        </div>
        <div class="form-group">
          <div class="input-group mb-3">
            <input type="password" class="form-control" placeholder="Repetir senha" formControlName="confirmPassword">
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-lock"></span>
              </div>
            </div>
          </div>
          <span [MessageErrorsFormControl]="recoverPasswordForm.controls.confirmPassword"  > </span>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" [disabled]="recoverPasswordForm.invalid" class="btn btn-primary btn-block">Alterar Senha</button>
          </div>
          <!-- /.col -->
        </div>
      </form>

      <p class="mt-3 mb-1">
        <a [routerLink]="loginRouter">Login</a>
      </p>

      <template-bs-alert [dismissible]="false" style="margin-top: 20px;" ></template-bs-alert>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->
